BaseSessionInitializationStrategy (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.security.BaseSessionInitializationStrategy class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.security
Class BaseSessionInitializationStrategy

    java.lang.Object
      org.hyperic.hq.ui.security.BaseSessionInitializationStrategy

All Implemented Interfaces:
  org.springframework.security.web.authentication.session.SessionAuthenticationStrategy

Direct Known Subclasses:
  UISessionInitializationStrategy

    @Component
    public class BaseSessionInitializationStrategy

extends java.lang.Object
implements org.springframework.security.web.authentication.session.SessionAuthenticationStrategy

Constructor Summary
`BaseSessionInitializationStrategy()`

Method Summary
`protected static ConfigResponse` | `getUserPreferences(javax.servlet.ServletContext ctx, java.lang.Integer sessionId, java.lang.Integer subjectId, org.hyperic.hq.bizapp.shared.AuthzBoss authzBoss)`
`protected static java.util.Map<java.lang.String,java.lang.Boolean>` | `loadUserPermissions(java.lang.Integer sessionId, org.hyperic.hq.bizapp.shared.AuthzBoss authzBoss)`
`void` | `onAuthentication(org.springframework.security.core.Authentication authentication, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseSessionInitializationStrategy

    public BaseSessionInitializationStrategy()

Method Detail

### onAuthentication

    public void onAuthentication(org.springframework.security.core.Authentication authentication,
                                 javax.servlet.http.HttpServletRequest request,
                                 javax.servlet.http.HttpServletResponse response)
                          throws org.springframework.security.web.authentication.session.SessionAuthenticationException

  Specified by:
    `onAuthentication` in interface `org.springframework.security.web.authentication.session.SessionAuthenticationStrategy`
  Throws:
    `org.springframework.security.web.authentication.session.SessionAuthenticationException`

### loadUserPermissions

    protected static java.util.Map<java.lang.String,java.lang.Boolean> loadUserPermissions(java.lang.Integer sessionId,
                                                                                           org.hyperic.hq.bizapp.shared.AuthzBoss authzBoss)
                                                                                    throws SessionTimeoutException,
                                                                                           SessionNotFoundException,
                                                                                           PermissionException,
                                                                                           java.rmi.RemoteException,
                                                                                           javax.ejb.FinderException

  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `PermissionException`
    `java.rmi.RemoteException`
    `javax.ejb.FinderException`

### getUserPreferences

    protected static ConfigResponse getUserPreferences(javax.servlet.ServletContext ctx,
                                                       java.lang.Integer sessionId,
                                                       java.lang.Integer subjectId,
                                                       org.hyperic.hq.bizapp.shared.AuthzBoss authzBoss)
                                                throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.